############################################################
#
# type definition pro_declaration_component_ccm
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.9
#
############################################################

declaration template pro_declaration_component_ccm;

include pro_declaration_structures;
include pro_declaration_types;

define type component_ccm = {
	include structure_component
	"configFile"       : string
	"profile"          : type_hostURI
	"context"          ? type_hostURI
	"debug"            ? long with ((self==0) || (self==1))
	"force"            ? long with ((self==0) || (self==1))
	"preprocessor"     ? string
	"cache_root"       ? string
	"get_timeout"      ? long with (self>=0)
	"lock_retries"     ? long with (self>=0)
	"lock_wait"        ? long with (self>=0)
	"retrieve_retries" ? long with (self>=0)
	"retrieve_wait"    ? long with (self>=0)
	"cert_file"        ? string 
	"key_file"         ? string
	"ca_file"          ? string
	"ca_dir"           ? string
	"world_readable"   ? long with ((self==0) || (self==1))
};

type "/software/components/ccm" = component_ccm;
